Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.servlet
Class XMLImporter

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--ccl.servlet.XMLImporter

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public abstract class XMLImporter
extends javax.servlet.http.HttpServlet

This servlet reads in an xml file that has been created with an XMLExporter class. To make use of this class inherit from this one and implement the 'getConnection' and 'getTitle()' methods.

See Also:
  Serialized Form

Constructor Summary
`XMLImporter()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`abstract java.sql.Connection` | `getConnection()` Creates a connection object in the class which uses this class.
`abstract java.lang.String` | `getTitle()` Returns the title used for the html page.
`void` | `processXML(HTML html, java.lang.String sXMLFile)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLImporter

    public XMLImporter()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
    `java.io.IOException`
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
    `java.io.IOException`
    `javax.servlet.ServletException`

### processXML

    public void processXML(HTML html,
                           java.lang.String sXMLFile)

### getConnection

    public abstract java.sql.Connection getConnection()

  Creates a connection object in the class which uses this class.

### getTitle

    public abstract java.lang.String getTitle()

  Returns the title used for the html page.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD